﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */


@font-face {
    font-family: "Blacksword";
    src: url("/fonts/Blacksword.otf");
}


a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.table-nowrap.table td,
.table-nowrap.table th {
    white-space: nowrap;
    width: 1%;
}

.pt-6 {
    padding-top: 4.5rem !important;
}

.pt5 {
    padding-top: 5rem !important;
}

.navbar-expand-lg .navbar-toggler {
    display: inline-block !important;
    border: none !important;
}

.navbar-toggler:focus {
    box-shadow: none !important;
}

.navbar-toggler .navbar-toggler-icon {
    color: rgb(255, 0, 0);
}

.offcanvas.offcanvas-start, .offcanvas-backdrop {
    top: 72px !important;
    --bs-offcanvas-width: 310px !important;
}

.navbar-logo-or-name {
    text-align: center !important;
    min-width: 250px !important;
    max-width: 250px !important;
}

    .navbar-logo-or-name img {
        /*  width: 70% !important;*/
        height: auto !important;
    }

.offcanvas-comment, .offcanvas-backdrop {
    top: 72px !important;
    --bs-offcanvas-width: 450px !important;
}


hr:not([size]) {
    height: 1px;
}

hr {
    margin: 1rem 0;
    color: inherit;
    background-color: currentColor;
    border: 0;
    opacity: .25;
}



.offcanvas-backdrop {
    z-index: 1029 !important;
}

.dropdown-menu {
    border-radius: 0px !important;
}

    .dropdown-menu[data-bs-popper] {
        top: 131% !important;
    }


.accordion {
    --bs-accordion-border-width: 0px !important;
}

.container-home .card {
    display: block !important;
    border: none !important;
}

.dropdown-menu-top {
    width: 280px !important;
    overflow: hidden;
    overflow-y: auto;
    max-height: calc(100vh - 400px);
}

    .dropdown-menu-top .dropdown-item {
        white-space: normal !important;
    }

.text-truncate-lines-3 {
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.text-truncate-lines-5 {
    -webkit-line-clamp: 5;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}


.text-truncate-lines-7 {
    -webkit-line-clamp: 7;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.bg-gray {
    background-color: #F6F4F0;
}


/*Theme calendar*/
.calendar-free .cld-number, .calendar-free .cld-label {
    color: #252525;
    text-align: end !important;
}

.calendar-free .cld-day.currMonth.today {
    border: 1px solid #ddd;
}

    .calendar-free .cld-day.currMonth.today .cld-number {
        background-color: #F40000;
        color: white;
        border-radius: 50%;
        height: 25px;
        width: 25px;
        text-align: center;
        margin-left: auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }

.calendar-free .cld-title {
    font-size: 9px;
    display: block;
    margin: 0;
    font-weight: normal;
    text-align: center;
    background-color: #6CC922;
    color: white;
    padding: 5px;
}

    .calendar-free .cld-title a {
        color: white;
        text-decoration: none;
    }

.calendar-free .cld-datetime {
    margin-left: auto !important;
    margin-right: 0 !important;
    margin-top: 25px !important;
    margin-bottom: 25px !important;
}

.calendar-free .cld-main {
    width: 100% !important;
}

.calendar-free .cld-day {
    height: 86px !important;
}



/*Theme Carousel Items */
.carousel-items .carousel-control-prev-icon {
    background-image: url("../../img/mis-cursos/flow-izq.svg");
}

.carousel-items .carousel-control-next-icon {
    background-image: url("../../img/mis-cursos/flow-der.svg");
}

.carousel-items .carousel-control-next {
    right: -70px !important;
}

.carousel-items .carousel-control-prev {
    left: -70px !important;
}

/*.carousel-items .carousel-control-next-icon, .carousel-items .carousel-control-prev-icon {
    width: 4rem !important;
    height: 4rem !important;
}*/


/*Theme diplomas */
.sec-diplomas .bg-diploma {
    background-repeat: no-repeat;
    height: 660px !important;
    width: 934px !important;
}

.sec-diplomas .ribbon {
    /*background: url(../../img/diploma/ribbon.svg);*/
    background-repeat: no-repeat;
    background-position: center, center;
    color: #ffffff !important;
    padding-top: 4px !important;
}

.sec-diplomas .diploma-certificate-title {
    padding-top: 2rem;
    text-align: center;
    font: normal normal bold 45px/16px Myriad Pro;
    letter-spacing: 0px;
    /*color: #ED1D24;*/
    color: var(--lms-primary) !important;
    text-transform: uppercase;
    opacity: 1;
    padding-bottom: 2rem;
}

.sec-diplomas .diploma-certificate-nombre {
    padding-top: 3rem;
    text-align: center;
    font: normal normal normal 40px/16px Blacksword;
    letter-spacing: 0px;
    color: #3C3C3B;
    opacity: 1;
    padding-bottom: 3rem;
}

.sec-diplomas .diploma-certificate-descripcion {
    text-align: center;
    font: normal normal normal 14px/16px Myriad Pro;
    letter-spacing: 0px;
    color: #3C3C3B;
    opacity: 1;
}




/*set values fw-bold, fw-light */
.modal .modal-title, table tr th {
    font-weight: 700 !important;
}

.modal .modal-body, table tr td, .offcanvas-body .nav-item {
    font-weight: 300 !important;
}
/*
.offcanvas-body .accordion-button {
    font-weight: 500 !important;
}*/

:root {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    /*Calidra*/
    --cld-primary: #ed1d24;
    --cld-primary-hover-color: #db151c;
    --cld-secondary: #252525;
    --cld-secondary-hover-color: #464343;
    /*Cetelem*/
    --ctm-primary: #3A913F;
    --ctm-primary-hover-color: #2F7934;
    --ctm-secondary: #707070;
    --ctm-secondary-hover-color: #464343;
    --ctm-accordion: #3A913F1A;
}



/*Theme Aliados Calidra */
.theme-calidra {
}

    .theme-calidra .btn-primary {
        --bs-btn-color: var(--bs-white) !important;
        --bs-btn-bg: var(--cld-primary) !important;
        --bs-btn-border-color: var(--cld-primary) !important;
        --bs-btn-hover-color: var(--bs-white) !important;
        --bs-btn-hover-bg: var(--cld-primary-hover-color) !important;
        --bs-btn-hover-border-color: var(--cld-primary-hover-color) !important;
        /* --bs-btn-focus-shadow-rgb: 49,132,253;*/
        --bs-btn-active-color: var(--bs-white) !important;
        --bs-btn-active-bg: var(--cld-primary-hover-color) !important;
        --bs-btn-active-border-color: var(--cld-primary-hover-color) !important;
        /* --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);*/
        --bs-btn-disabled-color: var(--bs-white) !important;
        --bs-btn-disabled-bg: var(--cld-primary) !important;
        --bs-btn-disabled-border-color: var(--cld-primary) !important;
    }

    .theme-calidra .btn-outline-primary {
        --bs-btn-color: var(--cld-primary) !important;
        --bs-btn-border-color: var(--cld-primary) !important;
        --bs-btn-hover-color: var(--bs-white) !important;
        --bs-btn-hover-bg: var(--cld-primary) !important;
        --bs-btn-hover-border-color: var(--cld-primary) !important;
        --bs-btn-active-color: var(--bs-white) !important;
        --bs-btn-active-bg: var(--cld-primary) !important;
        --bs-btn-active-border-color: var(--cld-primary) !important;
        /*--bs-btn-focus-shadow-rgb: 13,110,253;*/
        /*--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);*/
        /*--bs-btn-disabled-color: var(--cld-primary) !important;*/
        --bs-btn-disabled-bg: transparent;
        --bs-btn-disabled-border-color: var(--cld-primary) !important;
        --bs-gradient: none;
    }

    .theme-calidra .btn-secondary {
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--cld-secondary) !important;
        --bs-btn-border-color: var(--cld-secondary) !important;
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: var(--cld-secondary-hover-color) !important;
        --bs-btn-hover-border-color: var(--cld-secondary-hover-color) !important;
        /* --bs-btn-focus-shadow-rgb: 130,138,145;*/
        --bs-btn-active-color: var(--bs-white);
        --bs-btn-active-bg: var(--cld-secondary-hover-color) !important;
        --bs-btn-active-border-color: var(--cld-secondary-hover-color) !important;
        /*  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);*/
        --bs-btn-disabled-color: var(--bs-white);
        --bs-btn-disabled-bg: var(--cld-secondary) !important;
        --bs-btn-disabled-border-color: var(--cld-secondary) !important;
    }

    .theme-calidra .btn-outline-secondary, .theme-calidra .btn-outline-info, .theme-calidra .btn-outline-success {
        --bs-btn-color: var(--cld-secondary) !important;
        --bs-btn-border-color: var(--cld-secondary) !important;
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: var(--cld-secondary) !important;
        --bs-btn-hover-border-color: var(--cld-secondary) !important;
        /*--bs-btn-focus-shadow-rgb: 108,117,125;*/
        --bs-btn-active-color: var(--bs-white);
        --bs-btn-active-bg: var(--cld-secondary) !important;
        --bs-btn-active-border-color: var(--cld-secondary) !important;
        /*--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);*/
        --bs-btn-disabled-color: var(--cld-secondary) !important;
        --bs-btn-disabled-bg: transparent;
        --bs-btn-disabled-border-color: var(--cld-secondary) !important;
        --bs-gradient: none;
    }


    .theme-calidra .offcanvas i.fa, .theme-calidra .navbar i.fa {
        color: var(--cld-primary);
    }

    .theme-calidra .offcanvas-body .active, .offcanvas-body .active {
        background: #f7f7f7 !important;
    }

    .theme-calidra .offcanvas-body .nav-item:hover, .offcanvas-body .nav-item:hover {
        background: #f7f7f7 !important;
    }

    .theme-calidra .offcanvas-body .accordion-button:hover, .offcanvas-body .accordion-button:hover {
        background: #E7F1FF !important;
    }

    .theme-calidra .documentos-soporte li:hover, .documentos-soporte li:hover {
        background: #f7f7f7 !important;
    }

    .theme-calidra .jquery-comments {
        text-align: left;
        font-weight: 300 !important;
    }

        .theme-calidra .jquery-comments ul.main li.comment .comment-header .name {
            text-align: left;
            font-weight: 700 !important;
        }

        .theme-calidra .jquery-comments .textarea-wrapper .close {
            width: 1em;
            height: 2em;
        }

        .theme-calidra .jquery-comments i.fa {
            color: #000000 !important;
        }

        .theme-calidra .jquery-comments .send, .theme-calidra .jquery-comments .update {
            background: var(--cld-primary) !important;
            color: var(--bs-white) !important;
            border-radius: 5px !important;
        }

        .theme-calidra .jquery-comments ul.main > li.comment:first-child > .comment-wrapper {
            border-top: none;
        }

        .theme-calidra .jquery-comments ul.main li.comment .comment-wrapper {
            border-top: 1px solid var(--cld-primary);
        }

        .theme-calidra .jquery-comments .delete {
            background: var(--cld-secondary) !important;
            color: var(--bs-white) !important;
            border-radius: 5px !important;
        }


    .theme-calidra .calendar-free .cld-title {
        font-size: 12px;
        display: block;
        margin: 0;
        font-weight: normal;
        text-align: center;
        background-color: var(--cld-primary);
        color: var(--bs-white);
        padding: 5px;
    }

    .theme-calidra .calendar-free .cld-datetime .today {
        color: var(--cld-primary) !important;
    }

    .theme-calidra .calendar-free .cld-day.currMonth.today .cld-number {
        background-color: var(--cld-primary);
        color: var(--bs-white);
    }

    .theme-calidra .page-list {
        display: none !important;
    }

    .theme-calidra td img.img-preview {
        height: 38px !important;
    }

    .theme-calidra .card-header.bg-primary {
        background: var(--cld-primary) !important;
        color: var(--bs-white) !important;
    }

    .theme-calidra .form-check-input:checked {
        background-color: var(--cld-primary) !important;
        border-color: var(--cld-primary) !important;
    }

    .theme-calidra .modal-title i.fa {
        color: var(--cld-primary);
    }



/*Theme Cetelem */
.theme-cetelem {
}

    .theme-cetelem .btn-primary {
        --bs-btn-color: var(--bs-white) !important;
        --bs-btn-bg: var(--ctm-primary) !important;
        --bs-btn-border-color: var(--ctm-primary) !important;
        --bs-btn-hover-color: var(--bs-white) !important;
        --bs-btn-hover-bg: var(--ctm-primary-hover-color) !important;
        --bs-btn-hover-border-color: var(--ctm-primary-hover-color) !important;
        --bs-btn-active-color: var(--bs-white) !important;
        --bs-btn-active-bg: var(--ctm-primary-hover-color) !important;
        --bs-btn-active-border-color: var(--ctm-primary-hover-color) !important;
        --bs-btn-disabled-color: var(--bs-white) !important;
        --bs-btn-disabled-bg: var(--ctm-primary) !important;
        --bs-btn-disabled-border-color: var(--ctm-primary) !important;
    }

    .theme-cetelem .btn-outline-primary {
        --bs-btn-color: var(--ctm-primary) !important;
        --bs-btn-border-color: var(--ctm-primary) !important;
        --bs-btn-hover-color: var(--bs-white) !important;
        --bs-btn-hover-bg: var(--ctm-primary) !important;
        --bs-btn-hover-border-color: var(--ctm-primary) !important;
        --bs-btn-active-color: var(--bs-white) !important;
        --bs-btn-active-bg: var(--ctm-primary) !important;
        --bs-btn-active-border-color: var(--ctm-primary) !important;
        --bs-btn-disabled-bg: transparent;
        --bs-btn-disabled-border-color: var(--ctm-primary) !important;
        --bs-gradient: none;
    }

    .theme-cetelem .btn-secondary {
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--ctm-secondary) !important;
        --bs-btn-border-color: var(--ctm-secondary) !important;
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: var(--ctm-secondary-hover-color) !important;
        --bs-btn-hover-border-color: var(--ctm-secondary-hover-color) !important;
        --bs-btn-active-color: var(--bs-white);
        --bs-btn-active-bg: var(--ctm-secondary-hover-color) !important;
        --bs-btn-active-border-color: var(--ctm-secondary-hover-color) !important;
        --bs-btn-disabled-color: var(--bs-white);
        --bs-btn-disabled-bg: var(--ctm-secondary) !important;
        --bs-btn-disabled-border-color: var(--ctm-secondary) !important;
    }

    .theme-cetelem .btn-outline-secondary, .theme-cetelem .btn-outline-info, .theme-cetelem .btn-outline-success {
        --bs-btn-color: var(--ctm-secondary) !important;
        --bs-btn-border-color: var(--ctm-secondary) !important;
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: var(--ctm-secondary) !important;
        --bs-btn-hover-border-color: var(--ctm-secondary) !important;
        --bs-btn-active-color: var(--bs-white);
        --bs-btn-active-bg: var(--ctm-secondary) !important;
        --bs-btn-active-border-color: var(--ctm-secondary) !important;
        --bs-btn-disabled-color: var(--ctm-secondary) !important;
        --bs-btn-disabled-bg: transparent;
        --bs-btn-disabled-border-color: var(--ctm-secondary) !important;
        --bs-gradient: none;
    }

    .theme-cetelem .offcanvas i.fa, .theme-cetelem .navbar i.fa {
        color: var(--ctm-primary);
    }

    .theme-cetelem .offcanvas-body .active, .offcanvas-body .active {
        background: #f7f7f7 !important;
    }

    .theme-cetelem .offcanvas-body .nav-item:hover, .offcanvas-body .nav-item:hover {
        background: #f7f7f7 !important;
    }

    .theme-cetelem .offcanvas-body .accordion-button:hover, .offcanvas-body .accordion-button:hover {
        background: var(--ctm-accordion) !important;
    }

    .theme-cetelem .offcanvas-body .accordion-button:not(.collapsed) {
        color: var(--ctm-primary);
        background-color: var(--ctm-accordion);
    }

    .theme-cetelem .documentos-soporte li:hover, .documentos-soporte li:hover {
        background: #f7f7f7 !important;
    }

    .theme-cetelem .jquery-comments {
        text-align: left;
        font-weight: 300 !important;
    }

        .theme-cetelem .jquery-comments ul.main li.comment .comment-header .name {
            text-align: left;
            font-weight: 700 !important;
        }

        .theme-cetelem .jquery-comments .textarea-wrapper .close {
            width: 1em;
            height: 2em;
        }

        .theme-cetelem .jquery-comments i.fa {
            color: var(--ctm-primary) !important;
        }

        .theme-cetelem .jquery-comments .send, .theme-cetelem .jquery-comments .update {
            background: var(--ctm-primary) !important;
            color: var(--bs-white) !important;
            border-radius: 5px !important;
        }

        .theme-cetelem .jquery-comments ul.main > li.comment:first-child > .comment-wrapper {
            border-top: none;
        }

        .theme-cetelem .jquery-comments ul.main li.comment .comment-wrapper {
            border-top: 1px solid var(--ctm-primary);
        }

        .theme-cetelem .jquery-comments .delete {
            background: var(--ctm-secondary) !important;
            color: var(--bs-white) !important;
            border-radius: 5px !important;
        }


    .theme-cetelem .calendar-free .cld-title {
        background-color: var(--ctm-primary);
        color: var(--bs-white);
    }

    .theme-cetelem .calendar-free .cld-datetime .today {
        color: var(--ctm-primary) !important;
    }

    .theme-cetelem .calendar-free .cld-day.currMonth.today .cld-number {
        background-color: var(--ctm-primary);
        color: var(--bs-white);
    }

    .theme-cetelem .page-list {
        display: none !important;
    }

    .theme-cetelem td img.img-preview {
        height: 38px !important;
    }

    .theme-cetelem .card-header.bg-primary {
        background: var(--ctm-primary) !important;
        color: var(--bs-white) !important;
    }

    .theme-cetelem .form-check-input:checked {
        background-color: var(--ctm-primary) !important;
        border-color: var(--ctm-primary) !important;
    }

    .theme-cetelem .modal-title i.fa {
        color: var(--ctm-primary);
    }





/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    /* body {
        background: red;
    }*/
    .img-login {
        display: none !important;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    /* body {
        background: green;
    }*/

    .img-login {
        display: none !important;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    /* body {
        background: blue;
    }*/

    .img-login {
        display: none !important;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    /* body {
        background: orange;
    }*/

    .img-login {
        display: none !important;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    /*body {
        background: pink;
    }*/

    .img-login {
        display: inline !important;
    }
}



.progress-bar {
    background: transparent linear-gradient(270deg, #FA7500 0%, #FA7500 30%, #DF162B 67%, #DF162B 100%) 0% 0% no-repeat padding-box;
}